FROM alpine as qemu

RUN if [ -n "arm" ]; then \
		wget -O /qemu-arm-static https://github.com/multiarch/qemu-user-static/releases/download/v4.0.0-5/qemu-arm-static; \
	else \
		echo '#!/bin/sh\n\ntrue' > /qemu-arm-static; \
	fi; \
	chmod a+x /qemu-arm-static

FROM registry.gitlab.com/pantacor/pv-platforms/alpine-base:arm32v6

COPY --from=qemu /qemu-arm-static /usr/bin/

COPY resources /

RUN chmod a+x /etc/init.d/hostapd

RUN apk update; apk add hostapd \
		dnsmasq \
		lxc-bridge; \
	rc-update add modules sysinit; \
	rc-update add dnsmasq boot; \
	rc-update add dnsmasq.lxcbr0 boot; \
	rc-update add hostapd default;

CMD [ "/sbin/init" ]
